## r-cran-dbscan 1.1

=== DESCRIPTION ===
Package: dbscan
Version: 1.1-10
Date: 2022-01-14
Title: Density-Based Spatial Clustering of Applications with Noise
        (DBSCAN) and Related Algorithms
Authors@R: c(person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
                email = "mhahsler@lyle.smu.edu"),
	    person("Matthew", "Piekenbrock", role = c("aut", "cph")),
	    person("Sunil", "Arya", role = c("ctb", "cph")),
	    person("David", "Mount", role = c("ctb", "cph")))
Description: A fast reimplementation of several density-based algorithms of
    the DBSCAN family. Includes the clustering algorithms DBSCAN (density-based 
    spatial clustering of applications with noise) and HDBSCAN (hierarchical 
    DBSCAN), the ordering algorithm OPTICS (ordering points to identify the 
    clustering structure), shared nearest neighbor clustering, and the outlier 
    detection algorithms LOF (local outlier factor) and GLOSH (global-local 
    outlier score from hierarchies). The implementations use the kd-tree data 
    structure (from library ANN) for faster k-nearest neighbor search. An R 
    interface to fast kNN and fixed-radius NN search is also provided. 
    Hahsler, Piekenbrock and Doran (2019) <doi:10.18637/jss.v091.i01>.
SystemRequirements: C++11
Imports: Rcpp (>= 1.0.0), graphics, stats
LinkingTo: Rcpp
Suggests: fpc, microbenchmark, testthat, dendextend, igraph, knitr,
        rmarkdown
VignetteBuilder: knitr
URL: https://github.com/mhahsler/dbscan
BugReports: https://github.com/mhahsler/dbscan/issues
License: GPL (>= 2)
Copyright: ANN library is copyright by University of Maryland, Sunil
        Arya and David Mount. All other code is copyright by Michael
        Hahsler and Matthew Piekenbrock.
Encoding: UTF-8
RoxygenNote: 7.1.2.9000
NeedsCompilation: yes
Packaged: 2022-01-14 19:45:53 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph],
  Matthew Piekenbrock [aut, cph],
  Sunil Arya [ctb, cph],
  David Mount [ctb, cph]
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2022-01-15 17:02:48 UTC

## r-cran-dbscan 1.1-10+ds

=== debian/changelog ===
r-cran-dbscan (1.1-10+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add missing build dependency on dh addon.
  * Resolve FIXMEs in d/README.source

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 14:05:35 +0100

r-cran-dbscan (1.1-9+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Jan 2022 15:53:13 +0000

r-cran-dbscan (1.1-8+ds-4) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 13:31:45 +0530

r-cran-dbscan (1.1-8+ds-3) unstable; urgency=medium

  * Initial release (closes: #995723)

    Reviewed copyright assignments.

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Oct 2021 15:51:24 +0200

=== debian/control ===
Source: r-cran-dbscan
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbscan
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbscan.git
Homepage: https://cran.r-project.org/package=dbscan
Rules-Requires-Root: no

Package: r-cran-dbscan
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Density Based Clustering of Applications with Noise (DBSCAN)
 Density Based Clustering of Applications with Noise (DBSCAN) and
 Related Algorithms provides a fast reimplementation of several density-
 based algorithms of the DBSCAN family for spatial data. Includes
 the clustering algorithms DBSCAN (density-based spatial clustering
 of applications with noise) and HDBSCAN (hierarchical DBSCAN), the
 ordering algorithm OPTICS (ordering points to identify the
 clustering structure), and the outlier detection algorithm LOF
 (local outlier factor). The implementations use the kd-tree data
 structure (from library ANN) for faster k-nearest neighbor search.
 An R interface to fast kNN and fixed-radius NN search is also
 provided. Hahsler, Piekenbrock and Doran (2019)
 <doi:10.18637/jss.v091.i01>.

## r-cran-dbscan 1.1-11+ds

=== debian/changelog ===
r-cran-dbscan (1.1-11+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:33:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
-               debhelper
-Standards-Version: 4.6.0
+               r-cran-rcpp
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbscan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbscan.git
 Homepage: https://cran.r-project.org/package=dbscan

## r-cran-dbscan 1.1-12+ds

=== debian/changelog ===
r-cran-dbscan (1.1-12+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 17:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbscan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbscan.git
 Homepage: https://cran.r-project.org/package=dbscan

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	find src -name "*.o" -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-fpc,
        r-cran-testthat,
        r-cran-dendextend,
        r-cran-igraph,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto" \
https://cloud.r-project.org/src/contrib/dbscan_([-\d.]*)\.tar\.gz

## r-cran-dbscan 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: dbscan
-Version: 1.1-10
-Date: 2022-01-14
+Version: 1.2-0
+Date: 2024-06-28
 Title: Density-Based Spatial Clustering of Applications with Noise
         (DBSCAN) and Related Algorithms
 Authors@R: c(person("Michael", "Hahsler", role = c("aut", "cre", "cph"),
-                email = "mhahsler@lyle.smu.edu"),
+                email = "mhahsler@lyle.smu.edu",
+                comment = c(ORCID = "0000-0003-2716-1405")),
 	    person("Matthew", "Piekenbrock", role = c("aut", "cph")),
 	    person("Sunil", "Arya", role = c("ctb", "cph")),
 	    person("David", "Mount", role = c("ctb", "cph")))
@@ -18,11 +19,11 @@
     structure (from library ANN) for faster k-nearest neighbor search. An R 
     interface to fast kNN and fixed-radius NN search is also provided. 
     Hahsler, Piekenbrock and Doran (2019) <doi:10.18637/jss.v091.i01>.
-SystemRequirements: C++11
-Imports: Rcpp (>= 1.0.0), graphics, stats
+Depends: R (>= 3.2.0)
+Imports: Rcpp (>= 1.0.0), graphics, stats, generics
 LinkingTo: Rcpp
-Suggests: fpc, microbenchmark, testthat, dendextend, igraph, knitr,
-        rmarkdown
+Suggests: fpc, microbenchmark, testthat (>= 3.0.0), dendextend, igraph,
+        knitr, rmarkdown, tibble, rlang
 VignetteBuilder: knitr
 URL: https://github.com/mhahsler/dbscan
 BugReports: https://github.com/mhahsler/dbscan/issues
@@ -30,14 +31,16 @@
 Copyright: ANN library is copyright by University of Maryland, Sunil
         Arya and David Mount. All other code is copyright by Michael
         Hahsler and Matthew Piekenbrock.
+Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.1.2.9000
+RoxygenNote: 7.3.1
 NeedsCompilation: yes
-Packaged: 2022-01-14 19:45:53 UTC; hahsler
-Author: Michael Hahsler [aut, cre, cph],
+Packaged: 2024-06-28 20:29:16 UTC; hahsler
+Author: Michael Hahsler [aut, cre, cph]
+    (<https://orcid.org/0000-0003-2716-1405>),
   Matthew Piekenbrock [aut, cph],
   Sunil Arya [ctb, cph],
   David Mount [ctb, cph]
 Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
 Repository: CRAN
-Date/Publication: 2022-01-15 17:02:48 UTC
+Date/Publication: 2024-06-28 21:40:06 UTC

## r-cran-dbscan 1.2-0+ds

=== debian/changelog ===
r-cran-dbscan (1.2-0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 12:11:05 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp
-Standards-Version: 4.6.2
+               r-cran-rcpp,
+               r-cran-generics
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbscan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbscan.git
 Homepage: https://cran.r-project.org/package=dbscan

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-fpc,
        r-cran-microbenchmark,
        r-cran-testthat (>= 3.0.0),
        r-cran-dendextend,
        r-cran-igraph,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-tibble,
        r-cran-rlang
Restrictions: allow-stderr

## r-cran-dbscan 1.2.2+ds

=== DESCRIPTION ===
Package: dbscan
Title: Density-Based Spatial Clustering of Applications with Noise
        (DBSCAN) and Related Algorithms
Version: 1.2.2
Date: 2025-01-25
Authors@R: c(
    person("Michael", "Hahsler", email = "mhahsler@lyle.smu.edu", 
           role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0003-2716-1405")),
    person("Matthew", "Piekenbrock", role = c("aut", "cph")),
    person("Sunil", "Arya", role = c("ctb", "cph")),
    person("David", "Mount", role = c("ctb", "cph")),
    person("Claudia", "Malzer", role = "ctb")
  )
Description: A fast reimplementation of several density-based algorithms
    of the DBSCAN family. Includes the clustering algorithms DBSCAN
    (density-based spatial clustering of applications with noise) and
    HDBSCAN (hierarchical DBSCAN), the ordering algorithm OPTICS (ordering
    points to identify the clustering structure), shared nearest neighbor
    clustering, and the outlier detection algorithms LOF (local outlier
    factor) and GLOSH (global-local outlier score from hierarchies). The
    implementations use the kd-tree data structure (from library ANN) for
    faster k-nearest neighbor search. An R interface to fast kNN and
    fixed-radius NN search is also provided.  Hahsler, Piekenbrock and
    Doran (2019) <doi:10.18637/jss.v091.i01>.
License: GPL (>= 2)
URL: https://github.com/mhahsler/dbscan
BugReports: https://github.com/mhahsler/dbscan/issues
Depends: R (>= 3.2.0)
Imports: generics, graphics, Rcpp (>= 1.0.0), stats
Suggests: dendextend, fpc, igraph, knitr, microbenchmark, rmarkdown,
        testthat (>= 3.0.0), tibble
LinkingTo: Rcpp
VignetteBuilder: knitr
Config/testthat/edition: 3
Copyright: ANN library is copyright by University of Maryland, Sunil
        Arya and David Mount. All other code is copyright by Michael
        Hahsler and Matthew Piekenbrock.
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-01-25 17:28:14 UTC; hahsler
Author: Michael Hahsler [aut, cre, cph]
    (<https://orcid.org/0000-0003-2716-1405>),
  Matthew Piekenbrock [aut, cph],
  Sunil Arya [ctb, cph],
  David Mount [ctb, cph],
  Claudia Malzer [ctb]
Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
Repository: CRAN
Date/Publication: 2025-01-26 01:20:02 UTC

=== debian/changelog ===
r-cran-dbscan (1.2.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Skip the autopkgtest unit tests on i386.
  * d/copyright: adjust to layout changes made in version 1.2-0.
  * Standards-Version: 4.7.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Feb 2025 11:43:31 +0100

r-cran-dbscan (1.2.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 08:28:54 +0900

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
-               r-cran-generics
-Standards-Version: 4.7.0
+               r-cran-generics,
+               r-cran-rcpp
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbscan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbscan.git
 Homepage: https://cran.r-project.org/package=dbscan

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dendextend,
        r-cran-fpc,
        r-cran-igraph,
        r-cran-knitr,
        r-cran-microbenchmark,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble
Restrictions: allow-stderr
Architecture: !i386

## r-cran-dbscan 1.2.4+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dbscan
 Title: Density-Based Spatial Clustering of Applications with Noise
         (DBSCAN) and Related Algorithms
-Version: 1.2.2
-Date: 2025-01-25
+Version: 1.2.4
+Date: 2025-12-18
 Authors@R: c(
     person("Michael", "Hahsler", email = "mhahsler@lyle.smu.edu", 
            role = c("aut", "cre", "cph"),
@@ -37,15 +37,15 @@
         Arya and David Mount. All other code is copyright by Michael
         Hahsler and Matthew Piekenbrock.
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2025-01-25 17:28:14 UTC; hahsler
-Author: Michael Hahsler [aut, cre, cph]
-    (<https://orcid.org/0000-0003-2716-1405>),
+Packaged: 2025-12-18 16:05:11 UTC; mhahsler
+Author: Michael Hahsler [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0003-2716-1405>),
   Matthew Piekenbrock [aut, cph],
   Sunil Arya [ctb, cph],
   David Mount [ctb, cph],
   Claudia Malzer [ctb]
 Maintainer: Michael Hahsler <mhahsler@lyle.smu.edu>
 Repository: CRAN
-Date/Publication: 2025-01-26 01:20:02 UTC
+Date/Publication: 2025-12-19 06:20:14 UTC

=== debian/changelog ===
r-cran-dbscan (1.2.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 14:29:27 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-generics,
-               r-cran-rcpp
-Standards-Version: 4.7.1
+               r-cran-rcpp,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbscan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbscan.git
 Homepage: https://cran.r-project.org/package=dbscan
